package ru.nbch.credit_tracker.service.xml.stax;

import java.util.List;
import java.util.function.Consumer;

public abstract class StaxXmlWriter<T, Z> {

    protected final String charsetName;
    protected WriterWrapper writerWrapper;

    public StaxXmlWriter(String charsetName) {
        this.charsetName = charsetName;
    }

     public abstract void  writeWithStax(String filePath, T obj, LoaderWriter<Z> loader);

    public interface LoaderWriter<Z> {
        void accept(Consumer<List<Z>> writer);
    }
}
